## qemu-linaro 0.15.50-2011.08

=== debian/changelog ===
qemu-linaro (0.15.50-2011.08-0ubuntu4) oneiric; urgency=low

  * FFe for new upstream version, fixing build failure in oneiric.
    LP: #832830.
  * debian/binfmts/*: replace unsupported 'flags: OC' with 'credentials yes',
    so that suid binaries work under qemu-user.  LP: #790971
  * debian/binfmts/qemu-armeb: point to qemu-armeb-static, not
    qemu-arm-static.  LP: #855365.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 26 Sep 2011 15:07:14 -0700

qemu-linaro (0.15.50-2011.08-0ubuntu3) oneiric; urgency=low

  * debian/patches/0001-tcg-ppc-tcg-target.c-Avoid-set-but-not-used-gcc-
    warn.patch: updated patch to fix additional warnings.
  * debian/patches/Reorder-default-ram_size-initialization.patch: patch from
    trunk, reorder default ram_size initialization, fixing a regression that
    slows down tcg-based system targets by a factor of 3-4.  Thanks to
    Jan Kiszka <jan.kiszka@web.de>.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 26 Aug 2011 17:00:24 -0700

qemu-linaro (0.15.50-2011.08-0ubuntu2) oneiric; urgency=low

  * debian/patches/6-6-tcg-arm-Make-tcg_out_addi-inline.patch: [6/6]
    tcg-arm: Make tcg_out_addi inline.  Fixes a build failure on armel.
  * debian/patches/5-6-tcg-ia64-Fix-typos-in-AREG0-setup-in-
    prologue..patch: [5/6] tcg-ia64: Fix typos in AREG0 setup in
    prologue.  Fixes a build failure on ia64.
  * debian/patches/0001-tcg-ppc-tcg-target.c-Avoid-set-but-not-used-gcc-
    warn.patch: Avoid 'set but not used' gcc warnings.  Fixes a build failure
    on powerpc.  Thanks to Peter Maydell <peter.maydell@linaro.org>.
  * debian/patches/target-cris-opcode-cris.h-rename-REG_PC-SP-to-
    CRIS_REG_PC-SP.patch: target-cris/opcode-cris.h: rename REG_PC/SP to
    CRIS_REG_PC/SP.  Fixes a build failure on sparc.  Thanks to
    Peter Maydell <peter.maydell@linaro.org>.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 19 Aug 2011 21:55:42 -0700

qemu-linaro (0.15.50-2011.08-0ubuntu1) oneiric; urgency=low

  * New upstream release.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 19 Aug 2011 14:39:14 -0700

qemu-linaro (0.14.50-2011.06-0-0ubuntu1) oneiric; urgency=low

  * New upstream release.
  * debian/rules: drop workaround forcing building with -marm for
    armel/armhf, upstream code is now reported to work in Thumb-2 mode.
    LP: #731095.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 16 Jun 2011 09:04:43 -0700

qemu-linaro (0.14.50-2011.04-1-0ubuntu2) oneiric; urgency=low

  * Rework conffile removal:
    - use old style conffile removal as to not require a pre-depends on dpkg
      helpers which aren't present in lucid instead of using
      dpkg-maintscript-helper.
    - remove the conffile in qemu-user-static.preinst rather than
      qemu-kvm-extras-static.preinst, .postinst and .postrm as to leave no
      chance to the conffile to stay behind.

 -- Loïc Minier <loic.minier@linaro.org>  Wed, 18 May 2011 18:45:12 +0200

qemu-linaro (0.14.50-2011.04-1-0ubuntu1) oneiric; urgency=low

  * New upstream release.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 04 May 2011 09:19:47 -0700
