=== debian/control ===
Source: qemu-linaro
Section: misc
Priority: optional
DM-Upload-Allowed: yes
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>
Uploaders: Aurelien Jarno <aurel32@debian.org>, Riku Voipio <riku.voipio@iki.fi>, Vagrant Cascadian <vagrant@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
               zlib1g-dev,
               libasound2-dev [!kfreebsd-any],
               libsdl1.2-dev (>> 1.2.1),
               libx11-dev,
               libpulse-dev,
               libncurses5-dev,
               libbrlapi-dev,
               libcurl4-gnutls-dev,
               libgnutls-dev,
               libsasl2-dev,
               uuid-dev,
               libvdeplug2-dev [!kfreebsd-any],
               libbluetooth-dev [!kfreebsd-any],
               texinfo,
               perl
Build-Conflicts: oss4-dev
Standards-Version: 3.9.1
Homepage: https://launchpad.net/qemu-linaro/
Vcs-Bzr: lp:ubuntu/qemu-linaro

Package: qemu-keymaps
Architecture: all
Depends: ${misc:Depends}
Breaks: qemu (<< 0.11.0-2), qemu-system (<< 0.12.4+dfsg-4)
Replaces: qemu (<< 0.11.0-2), qemu-system (<< 0.12.4+dfsg-4)
Description: QEMU keyboard maps
 QEMU is a fast processor emulator: currently the package supports
 ARM, CRIS, i386, M68k (ColdFire), MicroBlaze, MIPS, PowerPC, SH4,
 SPARC and x86-64 emulation. By using dynamic translation it achieves
 reasonable speed while being easy to port on new host CPUs.
 .
 This package provides keyboard maps to be used by the qemu-system
 package or QEMU derivatives.

Package: qemu-system
Architecture: amd64 arm armel armhf hppa i386 ia64 mips mipsel powerpc sparc sparc64 kfreebsd-i386 kfreebsd-amd64 ppc64
Depends: ${shlibs:Depends}, ${misc:Depends}, qemu-keymaps (>= ${source:Version}), qemu-common
Recommends: vde2, qemu-kvm
Breaks: qemu (<< 0.11.0-2), qemu-kvm-extras (<< 0.13.50-2011.02-0~rc1-0ubuntu1)
Replaces: qemu (<< 0.11.0-2), qemu-kvm-extras (<< 0.13.50-2011.02-0~rc1-0ubuntu1)
Suggests: samba
Description: QEMU full system emulation binaries
 QEMU is a fast processor emulator: currently the package supports
 ARM, CRIS, i386, M68k (ColdFire), MicroBlaze, MIPS, PowerPC, SH4,
 SPARC and x86-64 emulation. By using dynamic translation it achieves
 reasonable speed while being easy to port on new host CPUs.
 .
 This package provides the full system emulation binaries for targets other
 than x86 and x86-64.  In this mode QEMU emulates a full system, including a
 processor and various peripherals.  It enables easier testing and debugging
 of system code.  It can also be used to provide virtual hosting of several
 virtual machines on a single server.

Package: qemu-user
Architecture: amd64 arm armel armhf hppa i386 ia64 mips mipsel powerpc sparc sparc64 ppc64
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: qemu (<< 0.11.0-2), qemu-kvm-extras (<< 0.13.50-2011.02-0~rc1-0ubuntu1)
Replaces: qemu (<< 0.11.0-2), qemu-kvm-extras (<< 0.13.50-2011.02-0~rc1-0ubuntu1), qemu-kvm (<< 0.13.0+noroms-0ubuntu13)
Description: QEMU user mode emulation binaries
 QEMU is a fast processor emulator: currently the package supports
 ARM, CRIS, i386, M68k (ColdFire), MicroBlaze, MIPS, PowerPC, SH4,
 SPARC and x86-64 emulation. By using dynamic translation it achieves
 reasonable speed while being easy to port on new host CPUs.
 .
 This package provides the user mode emulation binaries for targets other
 than x86 and x86-64.  In this mode QEMU can launch Linux processes compiled
 for one CPU on another CPU.

Package: qemu-user-static
Architecture: amd64 arm armel armhf hppa i386 ia64 mips mipsel powerpc sparc sparc64 ppc64
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: binfmt-support, debootstrap
Breaks: qemu-kvm-extras-static (<< 0.13.50-2011.02-0~rc1-0ubuntu1)
Replaces: qemu-kvm-extras-static (<< 0.13.50-2011.02-0~rc1-0ubuntu1)
Suggests: sudo
Description: QEMU user mode emulation binaries (static version)
 QEMU is a fast processor emulator: currently the package supports
 ARM, CRIS, i386, M68k (ColdFire), MicroBlaze, MIPS, PowerPC, SH4,
 SPARC and x86-64 emulation. By using dynamic translation it achieves
 reasonable speed while being easy to port on new host CPUs.
 .
 This package provides the user mode emulation binaries, built
 statically. In this mode QEMU can launch Linux processes compiled for
 one CPU on another CPU.

Package: qemu-kvm-extras
Architecture: all
Depends: qemu-system, qemu-user
Description: QEMU system and user mode emulation (transitional package)
 QEMU is a fast processor emulator: currently the package supports
 ARM, CRIS, i386, M68k (ColdFire), MicroBlaze, MIPS, PowerPC, SH4,
 SPARC and x86-64 emulation. By using dynamic translation it achieves
 reasonable speed while being easy to port on new host CPUs.
 .
 This is a transitional package depending on the system and user mode
 emulation binaries.  You can remove it once the upgrade is complete and
 nothing depends on it.

Package: qemu-kvm-extras-static
Architecture: all
Depends: qemu-user-static
Description: QEMU static user mode emulation binaries (transitional package)
 QEMU is a fast processor emulator: currently the package supports
 ARM, CRIS, i386, M68k (ColdFire), MicroBlaze, MIPS, PowerPC, SH4,
 SPARC and x86-64 emulation. By using dynamic translation it achieves
 reasonable speed while being easy to port on new host CPUs.
 .
 This is a transitional package depending on the static user mode emulation
 binaries.  You can remove it once the upgrade is complete and nothing
 depends on it.
