=== qom/Makefile ===
qom-y = object.o container.o qom-qobject.o
