## qemu-linaro 1.0.50-2012.03

=== debian/changelog ===
qemu-linaro (1.0.50-2012.03-0ubuntu2) precise; urgency=low

  * Add missing #include that caused a build failure on powerpc.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 22 Apr 2012 14:54:06 +0100

qemu-linaro (1.0.50-2012.03-0ubuntu1) precise; urgency=low

  * Update watch file since launchpad now uses https for the download links.
  * New upstream release.
    - Fixes use of deprecated gthread calls when building on arm.
      LP: #928555.
  * Drop 0001_linux-user-reserve-4GB-of-vmem-for-32-on-64.patch, included
    upstream with some follow-on fixes.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 15 Mar 2012 16:18:18 -0700

qemu-linaro (1.0.50-2012.02-0ubuntu1) precise; urgency=low

  * New upstream release.
  * Pass --enable-uname-release=2.6.32 for the user emulation builds, so that
    we have a sensible baseline kernel value regardless of what the
    underlying host kernel is.  This makes eglibc happier when running under
    emulation on a very old kernel for instance (whose host syscall ABI has
    nothing to do with what emulated syscalls are supported), and probably
    also lets us steer clear for the moment of code that has problem with
    the new kernel upstream versioning convention.  LP: #921078.
  * debian/patches/define_AT_EMPTY_PATH.patch: make sure AT_EMPTY_PATH
    is defined.  Thanks to Serge Hallyn <serge.hallyn@ubuntu.com>.
    Closes LP: #930181.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 20 Feb 2012 17:32:06 -0800

qemu-linaro (1.0.50-2012.01-0ubuntu4) precise; urgency=low

  * New patch, 0001_linux-user-reserve-4GB-of-vmem-for-32-on-64, from
    http://lists.gnu.org/archive/html/qemu-devel/2011-12/msg01697.html; fixes
    mmap when running a 32-bits guest on a 64-bits host; LP: #906922.

 -- Loïc Minier <loic.minier@ubuntu.com>  Fri, 17 Feb 2012 11:27:00 +0100

qemu-linaro (1.0.50-2012.01-0ubuntu3) precise; urgency=low

  * Don't build the qemu-kvm-spice package on i386, spice is 64-bit-only.
    LP: #928432.
  * This means we don't have to disable -Werror on the spice build anymore.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 07 Feb 2012 23:34:36 +0000

qemu-linaro (1.0.50-2012.01-0ubuntu2) precise; urgency=low

  * Turn off -Werror for the spice build: the spice API uses a 64-bit 
    integer type for storing pointers even on 32-bit systems, leading to
    warnings about wrong casts that we can safely ignore here.  LP: #926195.
  * Pass --disable-spice to the system build, otherwise it ends up having
    spice enabled as well.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 07 Feb 2012 11:09:14 -0800

qemu-linaro (1.0.50-2012.01-0ubuntu1) precise; urgency=low

  * New upstream release.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 02 Feb 2012 14:25:28 -0800

qemu-linaro (1.0-2011.12-0ubuntu1) precise; urgency=low

  * New upstream release.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 14 Dec 2011 16:58:18 -0800

qemu-linaro (0.15.91-2011.11-0ubuntu1) precise; urgency=low

  * New upstream release.
    - fixes segfaults of aptitude under qemu-arm-static.  LP: #898474.
  * debian/patches/1-tcg-ppc-tcg-target.c-Avoid-set-but-not-used-gcc-warn.patch:
    drop, addressed upstream.
  * Drop use of -Wno-error=deprecated-declarations build option, no longer
    needed for gnutls compatibility.

  [ Serge Hallyn ]
  * Add qemu-kvm-spice package
    - debian/control: add libspice-protocol-dev and libspice-server-dev
      to build-depends, define the qemu-kvm-spice package,
      remove all other packages, and rename source package to qemu-kvm.
    - debian/rules:
      * keep only spice-enabled binaries
      * rename our binaries to '-spice'
    - debian/qemu-kvm-spice.links and debian/qemu-kvm-spice.install: install
      kvm-spice and qemu-system-x86_64-spice

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 06 Dec 2011 09:35:22 -0800

qemu-linaro (0.15.50-2011.10-0ubuntu1) precise; urgency=low

  * New upstream release.
  * debian/patches/6-6-tcg-arm-Make-tcg_out_addi-inline.patch,
    debian/patches/5-6-tcg-ia64-Fix-typos-in-AREG0-setup-in-prologue..patch,
    debian/patches/target-cris-opcode-cris.h-rename-REG_PC-SP-to-CRIS_REG_PC-SP.patch,
    debian/patches/Reorder-default-ram_size-initialization.patch:
    drop, addressed upstream.
  * Build with -Wno-error=deprecated-declarations, to work around a build
    failure due to use of deprecated gnutls functions.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 28 Oct 2011 17:37:30 +0000
