=== debian/control ===
--- 
+++ 
@@ -16,6 +16,8 @@
                libcurl4-gnutls-dev,
                libgnutls-dev,
                libsasl2-dev,
+               libspice-protocol-dev [amd64],
+               libspice-server-dev [amd64],
                uuid-dev,
                libvdeplug2-dev [!kfreebsd-any],
                libbluetooth-dev [!kfreebsd-any],
@@ -116,3 +118,9 @@
  This is a transitional package depending on the static user mode emulation
  binaries.  You can remove it once the upgrade is complete and nothing
  depends on it.
+
+Package: qemu-kvm-spice
+Architecture: amd64
+Depends: qemu-kvm, ${misc:Depends}, ${shlibs:Depends}, libspice-server1
+Description: Full virtualization on amd64 hardware
+ This adds versions of qemu-kvm which can use SPICE, called qemu-kvm-spice.
