=== debian/rules ===
--- 
+++ 
@@ -105,6 +105,7 @@
 		    --disable-linux-user \
 		    --disable-bsd-user \
 		    --disable-darwin-user \
+		    --disable-spice \
 		    $(conf_arch) $(conf_audio_drv)
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
@@ -121,6 +122,7 @@
 		    --disable-blobs \
 		    --disable-strip \
 		    --disable-system \
+		    --enable-uname-release=2.6.32 \
 		    $(conf_arch)
 
 	# static user build
@@ -137,7 +139,26 @@
 		    --disable-strip \
 		    --disable-system \
 		    --static \
+		    --enable-uname-release=2.6.32 \
 		    $(conf_arch)
+
+ifeq ($(DEB_HOST_ARCH),amd64)
+	# spice build
+	mkdir -p $(CURDIR)/spice-build
+	cd $(CURDIR)/spice-build && \
+		../configure \
+		    --with-pkgversion="Debian $(deb_version)" \
+		    --extra-cflags="$(CFLAGS)" \
+		    --extra-ldflags="$(LDFLAGS)" \
+		    --prefix=/usr \
+		    --interp-prefix=/etc/qemu-binfmt/%M \
+		    --disable-blobs \
+		    --disable-strip \
+		    --disable-system \
+		    --target-list="x86_64-softmmu i386-softmmu x86_64-linux-user i386-linux-user" \
+		    --enable-spice \
+		    $(conf_arch)
+endif
 endif
 
 override_dh_auto_build:
@@ -149,6 +170,11 @@
 
 	# static user build
 	dh_auto_build -B user-static-build
+
+ifeq ($(DEB_HOST_ARCH),amd64)
+	# spice build
+	dh_auto_build -B spice-build
+endif
 endif
 
 override_dh_auto_install:
@@ -168,13 +194,28 @@
 			$(CURDIR)/debian/qemu-user-static/usr/share/binfmts ; \
 	done
 	f=debian/qemu-user-static.sysctl; [ -f debian/qemu-user-static.sysctl.$(DEB_BUILD_ARCH) ] && f=debian/qemu-user-static.sysctl.$(DEB_BUILD_ARCH); cp $$f debian/qemu-user-static/etc/sysctl.d/30-qemu-user-static.conf
+ifeq ($(DEB_HOST_ARCH),amd64)
+	dh_auto_install -B spice-build --destdir=$(CURDIR)/debian/spice-tmp
+	for target in qemu-i386 qemu-x86_64 qemu-system-x86_64; do \
+		mv $(CURDIR)/debian/spice-tmp/usr/bin/$$target \
+			$(CURDIR)/debian/spice-tmp/usr/bin/$$target-spice; \
+	done
+	mv $(CURDIR)/debian/spice-tmp/usr/bin/qemu-system-i386 \
+	   $(CURDIR)/debian/spice-tmp/usr/bin/qemu-spice
+endif
 endif
 	dh_auto_install -B system-build --destdir=$(CURDIR)/debian/tmp
 	mv $(CURDIR)/debian/tmp/usr/share/man/man1/qemu.1 \
 	   $(CURDIR)/debian/tmp/usr/share/man/man1/qemu-system.1
 
+override_dh_install:
+ifeq ($(DEB_HOST_ARCH),amd64)
+	dh_install -pqemu-kvm-spice --sourcedir=$(CURDIR)/debian/spice-tmp
+endif
+	dh_install -Nqemu-kvm-spice
+
 override_dh_auto_clean:
-	rm -rf user-static-build user-build system-build
+	rm -rf user-static-build user-build system-build spice-build
 
 override_dh_auto_test:
 	# tests are broken ATM
